@echo off

REM set CSS=github-pandoc.css
set CSS=downstyler.css

if [%~x1] == [.md] (
  substitutions %~nx1
  pandoc -f markdown-auto_identifiers -t html ^
  -s %~nx1 -o %~n1.html ^
  --shift-heading-level-by=-1 ^
  --css=%CSS% ^
  --embed-resources ^
  --standalone ^
  --wrap=none
) else (
  echo usage :
  echo   %~n0 MON_FICHIER.md
)

exit /b 

if [%~x1] == [.md] (
  pandoc -f gfm -t html -s %~nx1 -o %~n1.html --metadata pagetitle="Philosophie" --variable title="%~2" --css=%CSS% --embed-resources --standalone
) else (
  echo usage :
  echo   %~n0 MON_FICHIER.md
)
